> ## Documentation Index
> Fetch the complete documentation index at: https://docs.riona.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Ads Details

> Get TikTok Ads Details

<ResponseExample>
  ```json 200 theme={null}
  {
    "status": {
      "code": 200,
      "message": "OK"
    },
    "ads_details": {
      "id": "7532160738996600849",
      "ad_title": "@Travis Barker & @Paradox_PC3 killing the drums🤯 “BENDER” OUT  NOW❤️  #theparadox #travisbarker #bender #poppunk #band ",
      "brand_name": "",
      "landing_url": "https://bendertheparadox.lnk.to/4PODH0TK/spotify?utm_source=tiktok&utm_medium=social&utm_content=ad_UM0825rqio_MMID_",
      "like": 7887,
      "comment": 121,
      "share": 70,
      "cost": 2,
      "country_code": [
        "US"
      ],
      "ctr": 0.01,
      "favorite": false,
      "has_summary": false,
      "highlight_text": "",
      "industry_key": "label_23116000000",
      "is_search": false,
      "keyword_list": [],
      "objective_key": "campaign_objective_video_view",
      "objectives": [
        {
          "label": "campaign_objective_video_view",
          "value": 4
        },
        {
          "label": "campaign_objective_traffic",
          "value": 1
        }
      ],
      "source": "Others",
      "source_key": 36,
      "tag": 0,
      "voice_over": false,
      "video_info": {
        "cover": "https://p16-sign-va.tiktokcdn.com/tos-maliva-p-0068c799-us/oYARWf9fJAKGDXlQGSiEABFI8OfFQ10WhSfbg7~tplv-noop.image?t=9276707c&x-expires=1755638729&x-signature=0h8d73PbP%2B3tv4ROncT7qC3hJ5E%3D",
        "duration": 49.767,
        "height": 1024,
        "width": 576,
        "vid": "v12044gd0000d1vuvgfog65h6qp4995g",
        "video_url": {
          "360p": "",
          "480p": "",
          "540p": "",
          "720p": "https://v16m-default.tiktokcdn.com/e87a55a5ab90f36bfdf21c1f1a23367f/68a4ebc9/video/tos/maliva/tos-maliva-ve-0068c799-us/okF4A8SfnFrhbR9gQhEDiBfWIIYsAfSWOIfBJG/?a=0&bti=NTU4QDM1NGA%3D&ch=0&cr=0&dr=0&lr=tiktok_business&cd=0%7C0%7C0%7C0&cv=1&br=5454&bt=2727&cs=0&ds=3&ft=cApXJCz7ThWHxm9DEGZmo0P&mime_type=video_mp4&qs=0&rc=N2Q2ZDQ4ODNnPDs8PGQ0ZEBpajw3dGs5cmp4NDMzZzczNEAuNmItNWJgNS4xMC0tLTIxYSMyNm0zMmRjc3NhLS1kMS9zcw%3D%3D&vvpl=1&l=20250819232440E9AAC1D80FCC511EAC43&btag=e00088000"
        }
      }
    }
  }
  ```
</ResponseExample>


## OpenAPI

````yaml api-reference/openapi-3.0.json get /wf/tiktok-ads-details
openapi: 3.0.3
info:
  title: Riona API Docs
  version: 1.0.0
  contact:
    email: info@riona.ai
    url: https://riona.ai
servers:
  - url: https://riona.ai/api/1.1
security:
  - bearerAuth: []
tags:
  - name: Workflow
    description: Use this to trigger a workflow
  - name: Data
    description: Use this to fetch, modify and delete data
paths:
  /wf/tiktok-ads-details:
    get:
      tags:
        - Workflow
      description: Triggers the workflow tiktok-ads-details
      operationId: get_wf_tiktok-ads-details
      parameters:
        - name: adsID
          in: query
          required: true
          description: Enter adsID
          schema:
            type: string
        - name: api_key
          in: query
          required: true
          description: >-
            This is your account API Key. You can easily locate it in your
            account dashboard.
          schema:
            type: string
      responses:
        '200':
          description: OK
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````